1. v1
Tourwell Open APIs
  • Tổng quan
  • Hướng dẫn xác thực
  • API Zalo Mini App (Beta)
  • API Changelog
  • Error Response
  • Khách hàng
    • v1
      • Get by id
      • Get all customer
      • Create customer
      • Update customer
      • Get order history
      • Get destinations
      • Get guests
      • Get by id care history
      • Create company
      • Get all care history
      • Get all company
  • Đơn hàng
    • v1
      • Get by id
        GET
      • Get all order
        GET
      • Get Passengers Order
        GET
      • Create order tour
        POST
      • Create order product
        POST
      • Create order hotel
        POST
      • Create order flight
        POST
      • Confirm payment order
        POST
      • Cancel order
        POST
      • Import Order Flight
        POST
      • Create cost order
        POST
      • Update cost order
        PATCH
      • Delete cost order
        DELETE
      • Create order multiple services
        POST
      • Add services to order.
        POST
  • Điều hành
    • v1
      • Overview
      • Create row cost
      • Update row cost
      • Delete row cost
  • Sản phẩm
    • v1
      • Create product
      • Get by id
      • Calendar pricing
      • Get all product
      • Get schedule by id
      • Update product
  • Chiết tinh giá
    • v1
  • Nhà cung cấp
    • v1
      • Get all suppliers
      • Get suppliers products
      • Get all tour guides
      • Create Supplier & Hotel
      • Create Prices Suppliers products
      • Append Prices Hotel
  • Lịch khởi hành
    • v1
      • Get all tour
      • Create tour
  • Lead (Cơ hội)
    • Overview
    • Update History
    • v1
      • Get all lead
      • Get by id
      • Create lead
      • Update lead
  • Báo giá
    • v1
      • Get all
      • Update schedules
      • Update policy
  • Khách sạn
    • v1
      • Get all hotel
      • Get by id
  • Kế toán
    • Phiếu thu
      • v1
        • Get all receipt
        • Create receipt
        • Update receipt
        • Confirm Receipt Success
    • Phiếu chi
      • v1
        • Get all payment
        • Confirm Payment
    • Hóa đơn bán ra
      • Update invoice
      • Issue Invoice
      • Get by id
      • Cancel invoice
    • Hóa đơn mua vào
      • Import
  • Phê duyệt
    • v1
      • Overview
      • Summary
      • Approvals
  • Cấu hình
    • Zalo ZNS
      • Danh sách Tag
      • Get token
    • Địa điểm
      • Search
    • Nhân sự nội bộ
      • Search
    • Webhook
      • Hướng dẫn cài đặt
    • Trạng thái khách hàng
      • Get All
    • Hạng thành viên
      • Get All
    • Loại dịch vụ
    • Mã sân bay
      • Get All Airport
    • Phương thức thanh toán
      • Get All
    • Nguồn bán hàng
      • Get All
    • Phễu chuyển đổi lead
      • Trạng thái lead
      • Trạng thái báo giá
  • Hướng dẫn tích hợp
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website và Tourwell
    • Hướng dẫn tích hợp thanh toán trực tuyến qua Website, Cổng thanh toán và Tourwell
  • MCP
    • Hướng dẫn kết nối
  1. v1

Add services to order.

POST
/api/v1/orders/{id}/items
Thêm một hoặc nhiều dịch vụ vào đơn hàng đã có. Tổng tiền đơn hàng được tính lại sau khi thêm.
id (path): ID đơn hàng (trường data.id khi tạo đơn).
Mỗi phần tử items có cấu trúc giống items của API Create order multiple services. Tối đa 10 dịch vụ mỗi request.
Request được xử lý trọn vẹn: nếu một dịch vụ lỗi, không dịch vụ nào được thêm.
Không thêm được vào đơn đã hủy hoặc đang bị khóa.
Response chỉ trả về các dịch vụ vừa thêm và total_amount mới của đơn.
Định dạng ngày: dd/mm/yyyy.
Header bắt buộc: Content-Type: application/json

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Body Params application/jsonRequired

Example
{
    "items": [
        {
            "service_id": 6,
            "product_id": 88,
            "depart_date": "21/11/2026",
            "pricing": [
                {
                    "price": 100000,
                    "quantity": 1,
                    "description": "Vé trẻ em"
                }
            ]
        },
        {
            "tour_id": 120,
            "pricing": [
                {
                    "price_rule_id": 5,
                    "price": 5000000,
                    "quantity": 1
                }
            ]
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://demo.tourwell.net/api/v1/orders//items' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
    "items": [
        {
            "service_id": 6,
            "product_id": 88,
            "depart_date": "21/11/2026",
            "pricing": [
                {
                    "price": 100000,
                    "quantity": 1,
                    "description": "Vé trẻ em"
                }
            ]
        },
        {
            "tour_id": 120,
            "pricing": [
                {
                    "price_rule_id": 5,
                    "price": 5000000,
                    "quantity": 1
                }
            ]
        }
    ]
}'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
  "success": true,
  "message": "The order items added successfully",
  "data": {
    "id": 1728,
    "code": "UP1728",
    "link_erp": "https://your-domain.tourwell.vn/admin/order/1728/show",
    "total_amount": 20500000,
    "items": [
      { "id": 2311, "type_of_service_id": 6, "tour_id": 0, "item_id": 88 },
      { "id": 2312, "type_of_service_id": 10, "tour_id": 120, "item_id": 0,
        "hold_info": { "keep_at": "2026-10-22 10:15:00", "keep_rule": 24 } }
    ]
  }
}
Modified at 2026-10-21 03:16:58
Previous
Create order multiple services
Next
Overview
Built with